Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class SlowInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.jmeter.util.SlowInputStream

All Implemented Interfaces:
  Closeable

    public class SlowInputStream

extends FilterInputStream

InputStream wrapper to emulate a slow device, e.g. modem

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`SlowInputStream(InputStream in, int cps)` Wraps the input stream to emulate a slow device

Method Summary
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlowInputStream

    public SlowInputStream(InputStream in,
                           int cps)

  Wraps the input stream to emulate a slow device

  Parameters:
    `in` - input stream
    `cps` - characters per second to emulate

Method Detail

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.